--------------------------------------------------------------------------------
  Screenlets - (c) 2008 by Whise (Helder Fraga) <helder.fraga@hotmail.com>
  Original author RYX (aka Rico Pfaus) <ryx@ryxperience.com> 
--------------------------------------------------------------------------------

This software is released under the GNU Public License v3. You are free
to modify and copy this software unless you keep the above coypright 
notice and don' pretend this to be your work. The author gives you NO 
warranties at all.


--------------------------------------------------------------------------------
+ INFO:
--------------------------------------------------------------------------------
Screenlets (short form of "Screen-Applets") are small owner-drawn applications 
that can be described as "the virtual representation of things lying/standing 
around on your desk": Sticknotes, clocks, rulers, ... the possibilities are 
endless. 

Screenlets is a widget framework that consists of small owner-drawn applications 
(written in Python, a very simple object-oriented programming-language) that can 
be described as 'the virtual representation of things lying/standing around on 
your desk'. Sticknotes, clocks, rulers, ... the possibilities are endless. 
Screenlet also tries to include some compatibility with other widget frameworks,
like web widgets and super karamba themes.

FEATURES

* Easy to use, easy to develop
* Hundreds of Screenlets available
* Install and run Superkaramba themes
* install google gadgets youminis widgets spring widgets with the widget converter
* Load web apps just like prism
* Full compositing support
* Non composite support (metacity etc)
* Works with any composited X desktop (compiz, xfce4, ...)
* Included themeing-abilities (SVG, PNG or mixed)
* Fully scalable when using SVGs
* Embedded drag&drop-support
* Automated storing of options (using ini or gconf)
* Controllable through customizable DBus-service
* Can be used together with compiz' widget-plugin to create a Dashboard-like feature as seen on OS X
* Free, open-source and released under the GPL
* Uses cairo and GTK2 for drawing and windowing 


--------------------------------------------------------------------------------
+ INSTALLATION:
--------------------------------------------------------------------------------
Extract the archive into some directory. Navigate to that directory. 
As root-user run "make install" (Ubuntu users just add a leading "sudo"). 

By entering "make menu" (again as root) you can install .desktop-files for the
screenlets (not all, only the more stable ones). That allows easily adding 
your screenlets through the Applications-menu or the Alt+F2 dialog.

To generate the default (and ugly) pydoc-documentation within the docs-
directory, run "make pydoc".

To generate the doxygen-documentation run "make doxydoc" (you need to install 
doxygen first).

To generate the epydoc-documentation (in docs/epydoc) run "make epydoc" (you
need to install python-epydoc first). NOTE: this is the best one ;)



--------------------------------------------------------------------------------
+ USAGE:
--------------------------------------------------------------------------------
- Use the Screenlet manager:
"screenlets-manager'

- You can run each Screenlet individually with (e.g):
"python -u /usr/share/screenlets/Clock/ClockScreenlet.py". 

- Use the command line utility(Some distros dont include it):
"screenletsd"


--------------------------------------------------------------------------------
+ BUGS:
--------------------------------------------------------------------------------

- Bugs and pathces should be commited to https://bugs.launchpad.net/screenlets/


--------------------------------------------------------------------------------
+ DEVELOPERS
--------------------------------------------------------------------------------
- Read the DEVELOPERS file or go to http://screenlets.org/index.php/Documentation
